ChangeReservationCountry ()

Change the country of a specific reservation.

HTTP Request Method = POST.

https://sandbox.minihotel.cloud/agents/ws/sci/sciMain.asmx/ChangeReservationCountry
https://api2.minihotel.cloud/agents/ws/sci/sciMain.asmx/ChangeReservationCountry

Request

ParameterDescriptionType
ReservationNumberMinihotel reservation number (9 characters length)String
NewCountryNew Reservation Country Code, in ISO2. e.g. USString

Request Example

<Request>
<Reservations language="ENG">
	<Hotel id="sandbox" />
	<Authentication username="Test" password="3657488" />
	<ReservationNumber>070017974</ReservationNumber>
  <NewCountry>US</NewCountry>
</Reservations>
</Request>

Response

ParameterDescriptionType
ReservationsReservations containerList Of()
#ReservationReservation object
#attr numberReservation NumberString
#attr newcountryReservation New CountryString
#attr resultResult. There's one Possible value: UPDATED = Country has been updatedString

Response Example

<Response>
    <ServerInfo>
        <Name>SANDBOX1</Name>
        <ResponseTime>61 ms</ResponseTime>
        <DateTime>2/21/2019 08:40:43 PM</DateTime>
    </ServerInfo>
    <Reservations>
        <Reservation number=”007002569” newcountry=”US” result=”UPDATED” />
    </Reservations>
</Response>

Error Codes

RESSTATUS001: Invalid Reservation Number
RESCOUNTRYINVALID: Invalid Country Code
RESSTATUS003: You do not have permission to cancel reservations
RESSTATUS004: You do not have permission to work with reservations
UP0003: No permission to work with reservations created by other users

Response Example

<Response>
    <ServerInfo>
        <Name>SANDBOX1</Name>
        <ResponseTime>61 ms</ResponseTime>
        <DateTime>2/21/2019 08:40:56 PM</DateTime>
    </ServerInfo>
    <Errors>
        <Error code="RESSTATUS001" description="Invalid Reservation Number" />
    </Errors>
</Response>